      PROGRAM TIMDAT
C
C     TO DISPLAY TIME AND DATE
C     OLYMPIC SOFTWARE, 9/22/88
C
      EXTERNAL LDOSIF
      INTEGER*2 IAR(8),IP,ICX,IEU
      CHARACTER*10 A,SPS
      CHARACTER*2 A1,A2,A3
      CHARACTER*1 AA(10)
      EQUIVALENCE (A,AA(1))
      EQUIVALENCE (A1,AA(2)),(A2,AA(5)),(A3,AA(8))
      DATA SPS /'          '/
C       IF IEU=1, THEN TIME IS WRITEN IN THE EUROPEAN STANDARD
      DATA IEU /0/
C
        A=SPS
        IAR(1)=44
        CALL LDOSIF(IAR)
            IF(IAR(5).GE.12)THEN
              IAR(5)=IAR(5)-12
              IP=1
            ENDIF
            IF(IAR(5).EQ.0)IAR(5)=12           
          WRITE(A1,10)IAR(5)
          WRITE(A2,10)IAR(6)
 10       FORMAT(I2)
          IF(IP.EQ.1)THEN
            A3='PM'
          ELSE
            A3='AM'
          ENDIF
          AA(4)=':'
          WRITE(*,50)A
 50       FORMAT('  TIME: ',A)
C
        A=SPS
        IAR(1)=42
        CALL LDOSIF(IAR)
          ICX=IAR(5)*256+IAR(6)
          ICX=ICX-1900
          IF(IEU.EQ.0)THEN
            WRITE(A1,10)IAR(7)
            WRITE(A2,10)IAR(8)
          ELSE
            WRITE(A2,10)IAR(7)
            WRITE(A1,10)IAR(8)
          ENDIF
          WRITE(A3,10)ICX
          AA(4)='/'
          AA(7)='/'
          WRITE(*,51)A
 51       FORMAT('  DATE: ',A)
C
      STOP
      END


